#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cipher-aes128
version: 0.6.4
id: cipher-aes128-0.6.4-09340406acc9e583556fefcd29279532

license: BSD3
copyright: Thomas M. DuBuisson
maintainer: thomas.dubuisson@gmail.com
stability:
homepage: https://github.com/TomMD/cipher-aes128
package-url:
synopsis: AES and common modes using AES-NI when available.
description: Cipher-aes128 is an implementation of AES and common modes of operation.  It borrows Hanquez'\''s C AES code (see '\''cipher-aes'\'') but
             is unique due to including compile-time detection of
             NI compiler support, a slightly more functional interface
             for GCM operations, exposure of '\''Ptr'\'' based operations via the .Internal module, and build-in crypto-api support.
             Cipher-aes128 was originally developed as "'\''cipher-aes'\'' plus trampolines", which has since been adopted into cipher-aes.
category: Cryptography
author: Thomas M. DuBuisson, Vincent Hanquez (See AUTHORS file)
exposed: True
exposed-modules: Crypto.Cipher.AES128 Crypto.Cipher.AES128.Internal
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/cipher-aes128-0.6.4
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/cipher-aes128-0.6.4
              /usr/local/lib
hs-libraries: HScipher-aes128-0.6.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         cereal-0.4.0.1-d0a556a13339403d1e6fd15da8331e8e
         crypto-api-0.13-9556320998fd1241bc41521d3b2437ad
         tagged-0.7.2-28286204801522ac85a55fc42ce891dc
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/cipher-aes128-0.6.4/html/cipher-aes128.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/cipher-aes128-0.6.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
